Subject: Re: [PATCH] gnu: Add bees.

From: Adam Faiz <[email-masked]>
Date: Sun, 25 Dec 2022 00:31:37 +0800

On 12/24/22 19:34, Hilton Chain wrote:
> On Fri, 23 Dec 2022 15:57:53 +0800,
> Adam Faiz wrote:
>>> As pkg-config is only used for systemd, and markdown for documentations that won't be installed,
>>> I'd rather remove them from native-inputs, WDYT?
>> I agree that it should be done, but it's a shame that there's no install_docs rule in the
>> Makefile. That should be a feature request/patch.
>>
>> I already have a bees-remove-bundled-cityhash.patch and bees-add-cityhash-to-install.md.patch to
>> send upstream. Should I email them to you?
> 
> As v2 has unbundled cityhash, there's no need to send the patches to me.
> 
> One thing to mention is that, according to Repology[1], cityhash is not widely packaged, as a
> result, it might be better to implement the unbundle as an option.
> 
> [1]: <https://repology.org/project/cityhash/versions>
I don't think that should be done. It's all the more reason these 
distributions need cityhash packaged and people to help them.

If they need a reference, they can always look at the cityhash package 
in guix or other distributions and how they do it.